#  Available field types:
#  'int',
#  'integer',
#  'string',
#  'text',
#  'date',
#  'select',
#  'select2',//ini belum ding
#  'select2ajax'
#  'file'


table: sekolahs
fields:
  nama:
    type: string
    label: Nama Sekolah
    nullable: false
    validation_rules: 'required|min:0'
    html_attributes: ''
    helptext: 'nama universitas atau sekolah'
  id_pendaftar:
    type: int
    label: Pendaftar
    nullable: true
    validation_rules: ''
    html_attributes: ''
    helptext: 'identitas pendaftar'
  is_approved:
    type: select
    label: Status Approval
    nullable: true
    options: {'' : 'Pilih', 0: 'Reject', 1: 'Approve'}
    validation_rules: ''
    html_attributes: ''
    helptext: 'approval referensi universitas atau sekolah'
model:
  namespace: App\Sekolah
  class_name: Sekolah
  file_dir: 'Sekolah' #default to: app/Models folder
request:
  namespace: App\Http\Requests
  class_name: SekolahRequest
  file_dir: '' #default to: app/Http/Requests folder
controller:
  namespace: App\Http\Controllers\Sekolah
  class_name: SekolahController
  file_dir: 'Sekolah' #default to: app/Http/Controllers folder
route:
  url: sekolah #dont use any dots!!
  controller: Sekolah\SekolahController
views:
  title: Sekolah
  file_dir: sekolahs #default to: resources/views


